%global gh_commit   a64c08c68aff34d49a2ac152f04988cd921084f9
%global gh_short    %(c=%{gh_commit}; echo ${c:0:7})
%global gh_project  rabbitmq-c
%global soname      4

Summary:       Client library for AMQP
Name:          librabbitmq
Version:       0.11.0
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/alanxz/rabbitmq-c
Source0:       https://github.com/alanxz/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}-%{gh_short}.tar.gz

Patch3000:     %{gh_project}-static.patch
Patch3001:     %{gh_project}-version.patch

BuildRequires: gcc cmake openssl-devel popt-devel xmlto make

%description
This is a C-language AMQP client library for use with AMQP servers speaking protocol versions 0-9-1.

%package devel
Summary:    Header files and development libraries for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the header files and development libraries for %{name}.

%package tools
Summary:    Example tools built using the librabbitmq package
Requires:   %{name} = %{version}

%description tools
This package contains example tools built using %{name}.

It provides:
amqp-consume        Consume messages from a queue on an AMQP server
amqp-declare-queue  Declare a queue on an AMQP server
amqp-delete-queue   Delete a queue from an AMQP server
amqp-get            Get a message from a queue on an AMQP server
amqp-publish        Publish a message on an AMQP server


%prep
%autosetup -n %{gh_project}-%{gh_commit} -p1
cp -pr examples Examples
sed -e '/test_basic/d' -i tests/CMakeLists.txt


%build
%cmake \
  -DBUILD_TOOLS_DOCS:BOOL=ON \
  -DINSTALL_STATIC_LIBS:BOOL=OFF \
  -S .

%cmake_build

%install
%cmake_install

%check
grep @ %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc && exit 1
grep static %{buildroot}%{_libdir}/cmake/rabbitmq-c/*.cmake && exit 1

%ctest

%files
%license LICENSE-MIT
%{_libdir}/librabbitmq.so.%{soname}*

%files devel
%license AUTHORS
%doc THANKS TODO *.md Examples
%{_libdir}/librabbitmq.so
%{_includedir}/amqp*
%{_libdir}/pkgconfig/librabbitmq.pc
%{_libdir}/cmake/rabbitmq-c

%files tools
%doc %{_mandir}/man1/amqp-*.1*
%doc %{_mandir}/man7/librabbitmq-tools.7*
%{_bindir}/amqp-*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 0.11.0-1
- initial build
